Returns all targeting rules configured for the specified placement as a JSON array.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/placement/{placementId}/targetings.do
Returns all targeting rules configured for the specified placement as a JSON array. Each element contains the targeting type, rule (INCLUDE/EXCLUDE), and value. Requires UPDATE permission on the placement's site inventory and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/placement/4001/targetings.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());